Skip to main content
GET
List workspace audit events
This endpoint requires the activity:read management capability. OAuth callers must also have the workspace owner or admin role.
Events contain sanitized metadata only. Plaintext credentials, credential hashes, authorization headers, full scope lists, and request bodies are never returned.

Authorizations

Authorization
string
header
required

Bearer token authentication

Query Parameters

limit
integer
default:50

Maximum number of audit events to return.

Required range: 1 <= x <= 100
cursor
string

Opaque cursor returned by the previous page.

action
string

Filter by an exact audit action.

target_type
string

Filter by an exact audit target type.

Response

Workspace audit events

data
object[]
required
has_more
boolean
required
next_cursor
string | null
Last modified on August 30, 2026